# Class JavaSourceSubjectFactory

java.lang.Object
com.google.testing.compile.JavaSourceSubjectFactory

All Implemented Interfaces:
  `com.google.common.truth.Subject.Factory<JavaSourcesSubject.SingleSourceAdapter, JavaFileObject>`

public final class JavaSourceSubjectFactory extends Object implements com.google.common.truth.Subject.Factory<JavaSourcesSubject.SingleSourceAdapter, JavaFileObject>
A Truth `Subject.Factory` similar to `JavaSourcesSubjectFactory`, but for working with single source files.

Author:
  Gregory Kick

## Method Summary

Modifier and Type
Method
Description
`JavaSourcesSubject.SingleSourceAdapter`
`createSubject(com.google.common.truth.FailureMetadata failureMetadata, @Nullable JavaFileObject subject)`
`static JavaSourceSubjectFactory`
`javaSource()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### javaSource

public static JavaSourceSubjectFactory javaSource()

### createSubject

public JavaSourcesSubject.SingleSourceAdapter createSubject(com.google.common.truth.FailureMetadata failureMetadata, @Nullable JavaFileObject subject)

Specified by:
  `createSubject` in interface `com.google.common.truth.Subject.Factory<JavaSourcesSubject.SingleSourceAdapter, JavaFileObject>`